X
Tap here to go to the mobile version of the site.

Support Forum

how can i update my ibookg4 10.4.11 to a newwer safer version of firefox?

Posted

my systeme is too old for firefox 4.0...I have now firefox 3.0.4 is there a better version for my Ibookg4  ?

my systeme is too old for firefox 4.0...I have now firefox 3.0.4 is there a better version for my Ibookg4 ?

Additional System Details

Installed Plug-ins

  • Netscape Navigator Default Plug-in
  • Runs Java applets using the latest installed versions of Java. For more information: Java Embedding Plugin. Run version test: Java Information.
  • http://www.facebook.com/fbplugin/
  • npmnqmp 071303000006
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in web pages. For more information, visit the QuickTime Web site.
  • Shockwave Flash 9.0 r289
  • Adobe Shockwave for Director Netscape plug-in, version 11.5.9
  • Coupons Inc. Plugin
  • 1.0.30715.0
  • Simplifies the uploading of photo files.
  • Java 1.3.1 Plug-in (CFM)
  • Java 1.3.1 Plug-in

Application

  • User Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X 10.4; en-US; rv:1.9.0.4) Gecko/2008102920 Firefox/3.0.4

More Information

dynamite 60 solutions 388 answers

Helpful Reply

Unfortunately, Firefox 4 and 5 support only Mac OS X 10.5 and above on Intel hardware. The system that you are currently using is no longer supported by Firefox (details can be found here).

Since Firefox 3.6 is still being maintained and supported by Mozilla, you can upgrade to it by following these steps:

  1. Open the Applications folder.
  2. Drag the Firefox application to the Trash.
  3. Download and install Firefox 3.6 from here.

Note that, in future, if Mozilla stops maintaining or supporting Firefox 3.6, you have the option of using another Firefox-like browser on your current system (TenFourFox). Keep in mind that TenFourFox is not developed or endorsed by Mozilla in any way.

Unfortunately, Firefox 4 and 5 support only Mac OS X 10.5 and above on Intel hardware. The system that you are currently using is no longer supported by Firefox (details can be found [http://www.mozilla.com/en-US/firefox/system-requirements.html here]). <BR><BR>Since Firefox 3.6 is still being maintained and supported by Mozilla, you can upgrade to it by following these steps: # Open the '''Applications''' folder. # Drag the Firefox application to the '''Trash'''. # Download and install Firefox 3.6 from [http://www.mozilla.com/en-US/firefox/all-older.html here]. Note that, in future, if Mozilla stops maintaining or supporting Firefox 3.6, you have the option of using another Firefox-like browser on your current system ([http://www.floodgap.com/software/tenfourfox/ TenFourFox]). Keep in mind that TenFourFox is not developed or endorsed by Mozilla in any way.